### Eclipse Workspace Patch 1.0
#P fluid-engage-kettle
Index: build-scripts/build.xml
===================================================================
--- build-scripts/build.xml	(revision 8687)
+++ build-scripts/build.xml	(working copy)
@@ -90,6 +90,9 @@
       <antcall target="copyWARFiles">
         <param name="todir" value="${build-source}" />
       </antcall>
+      <copy todir="${build-source-webapp}/javaSources">
+            <fileset dir="${engage-java}"></fileset>
+      </copy>
       <antcall target="buildWAR">
         <param name="fromdir" value="${build-source}" />
         <param name="tofile" value="${products}/${warfile-src}" />
Index: pom.xml
===================================================================
--- pom.xml	(revision 8695)
+++ pom.xml	(working copy)
@@ -9,6 +9,10 @@
   <groupId>org.fluidproject</groupId>
   <version>0.3-SNAPSHOT</version>
 
+  <properties>
+    <project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
+  </properties>
+
   <organization>
     <name>Fluid Project</name>
     <url>http://fluidproject.org</url>
@@ -109,47 +113,7 @@
           <target>1.4</target>
         </configuration>
       </plugin>
-      <plugin>
-        <artifactId>maven-war-plugin</artifactId>
-        <configuration>
-          <warSourceDirectory>src/main/webapp</warSourceDirectory>
-        </configuration>
-      </plugin>
     </plugins>
-    <sourceDirectory>src</sourceDirectory>
-    <resources>
-      <resource>
-        <directory>.</directory>
-        <includes>
-          <include>*.TXT</include>
-          <include>src/**/*.java</include>
-        </includes>
-        <filtering>false</filtering>
-      </resource>
-      <resource>
-        <directory>src/</directory>
-        <includes>
-          <include>**/*.xml</include>
-          <include>**/*.html</include>
-          <include>**/*.dtd</include>
-          <include>**/*.properties</include>
-        </includes>
-        <filtering>false</filtering>
-      </resource>
-    </resources>
-    <testSourceDirectory>test</testSourceDirectory>
-    <testResources>
-      <testResource>
-        <directory>test/</directory>
-        <includes>
-          <include>**/*.xml</include>
-          <include>**/*.html</include>
-          <include>**/*.dtd</include>
-          <include>**/*.properties</include>
-        </includes>
-        <filtering>false</filtering>
-      </testResource>
-    </testResources>
   </build>
 
 </project>
#P fluid-infusion
Index: pom.xml
===================================================================
--- pom.xml	(revision 8687)
+++ pom.xml	(working copy)
@@ -9,6 +9,10 @@
   <groupId>org.fluidproject</groupId>
   <version>1.2</version>
 
+  <properties>
+    <project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
+  </properties>
+
   <organization>
     <name>Fluid Project</name>
     <url>http://fluidproject.org</url>
